Name:           pam_krb5
Version:        2.4.13
Release:        14
Summary:        A Pluggable Authentication Module for Kerberos 5
License:        BSD or LGPLv2+
URL:            https://pagure.io/pam_krb5
Source0:        https://releases.pagure.org/pam_krb5/pam_krb5-%{version}.tar.gz
Source1:        https://releases.pagure.org/pam_krb5/pam_krb5-%{version}.tar.gz.sig

BuildRequires: gcc git krb5-devel pam-devel
%description
This PAM module supports authentication against a Kerberos KDC. It also
supports updating your Kerberos password.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%configure --with-default-use-shmem="sshd" --with-default-external="sshd sshd-rekey gssftp" \
           --with-default-multiple-ccaches="su su-l"  --with-default-no-cred-session="sshd" 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install INSTALL="install -p"
ln -s pam_krb5.so %{buildroot}/%{_libdir}/security/pam_krb5afs.so
sed -ri -e 's|/lib(64)?/|/\$LIB/|g' %{buildroot}/%{_mandir}/man*/pam_krb5*.8*
%delete_la

%find_lang %{name}

%pre

%preun

%post

%postun

%files -f %{name}.lang
%doc COPYING*
%{_bindir}/*
%{_libdir}/security/*

%files help
%doc README* ChangeLog NEWS
%{_mandir}/*/*

%changelog
* Tue Apr 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 2.4.13-14
- modify the changelog

* Fri Jun 4 2021 panxiaohe <panxiaohe@huawei.com> - 2.4.13-13
- Add gcc to BuildRequires

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.4.13-12
- Package init
